# $Revision: 1.60 $, $Date: 2004/03/14 21:45:05 $
Summary:	GTK+ binding for librep Lisp environment
Summary(es):	Conjuntos de componentes GTK para el ambiente LISP librep
Summary(ko):	librep Lisp ȯ  GTK+ ε
Summary(pl):	Interfejs GTK+ do rodowiska Lispa librep
Summary(pt_BR):	Conjuntos de componentes GTK para o ambiente LISP librep
Name:		rep-gtk
Version:	0.18
Release:	3
Epoch:		1
License:	GPL
Group:		Development/Languages
Source0:	http://dl.sourceforge.net/rep-gtk/%{name}-%{version}.tar.gz
# Source0-md5:	220b0d728656472c068e40823f0a3b22
Patch0:		rep-gdkcolor.patch
URL:		http://rep-gtk.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	glib2-devel >= 2.0.3
BuildRequires:	gtk+2-devel >= 2.0.3
BuildRequires:	libglade2-devel >= 2.0.0
BuildRequires:	libgnome-devel >= 2.0.1
BuildRequires:	libgnomecanvas-devel >= 2.0.1
BuildRequires:	libgnomeui-devel >= 2.3.3.1-2
BuildRequires:	librep-devel >= 0.16
BuildRequires:	pkgconfig
%define		repexecdir	%(rep-config --execdir 2>/dev/null || echo ERROR)
Requires:	%{repexecdir}
Requires:	libgnomeui >= 2.3.3.1-2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}

%description
This is a binding of GTK+ for the librep Lisp interpreter. It is based
on Marius Vollmer's guile-gtk package with a new glue-code generator.

%description -l es
Este paquete contiene un conjunto de componentes GTK para el
interpretador LISP librep. Se basa en el paquete guile-gtk, con un
nuevo generador de cdigo intermediario.

%description -l pl
To jest interfejs GTK+ do interpretera Lispa librep. Bazuje na
pakiecie guile-gtk Mariusa Vollmera z nowym generatorem kodu.

%description -l pt_BR
Esse pacote contm um conjunto de componentes GTK para o interpretador
LISP librep. Ele  baseado no pacote guile-gtk, com um novo gerador de
cdigo intermedirio.

%package libglade
Summary:	librep binding for the libglade library for loading user interfaces
Summary(ko):	 ̽ о̱  libglade̺귯 librep ε
Summary(pl):	Interfejs librep do biblioteki libglade
Summary(pt_BR):	Vnculos librep para a biblioteca libglade para carregamento de interfaces de usurio
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description libglade
This is a binding of libglade for the librep Lisp interpreter.
libglade allows applications to dynamically load XML descriptions of
GTK+ widget hierarchies. These hierarchies may be created by the GLADE
GUI builder.

%description libglade -l pl
To jest interfejs libglade do interpretera Lispa librep. libglade
pozwala aplikacjom dynamicznie wczytywa opisy XML hierarchii widgetw
GTK+.

%description libglade -l pt_BR
Este  um bind da libglade para o interpretador librep Lisp. A
libglade permite que as aplicaes carreguem dinamicamente as
descries XML das hierarquias de elementos grficos (widgets) GTK+.
Essas hierarquias podem ser criadas com o GLADE GUI builder.

%package gnome
Summary:	GNOME binding for librep
Summary(ko):	librep  GNOMEε
Summary(pl):	Interfejs GNOME do librep
Summary(pt_BR):	GNOME binding for librep
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description gnome
This is a binding of the various GNOME libraries for the librep Lisp
interpreter. It include support for the basic GNOME functions, the
GNOME user interface widgets, and the GNOME Canvas architecture.

%description gnome -l pl
To jest interfejs rnych bibliotek GNOME do interpretera Lispa
librep. Zawiera wsparcie dla podstawowych funkcji GNOME, widgetw
interfejsu uytkownika GNOME, architektury GNOME Canvas.

%description gnome -l pt_BR
Este  um bind das vrias bibliotecas GNOME para o interpretador
librep Lisp. Inclui suporte s funes bsicas do GNOME, os elementos
grficos (widgets) da interface de usurio GNOME, a arquitetura GNOME
Canvas, e a verso GNOME da libglade.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
%configure \
	--disable-static \
	--with-gnome \
	--with-libglade
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README README.guile-gtk ChangeLog *.defs

%dir %{repexecdir}/gui
%dir %{repexecdir}/gui/gtk-*

%attr(755,root,root) %{repexecdir}/gui/gtk-*/gtk.so
%{repexecdir}/gui/gtk-*/gtk.la
%attr(755,root,root) %{repexecdir}/gui/gtk-*/types.so
%{repexecdir}/gui/gtk-*/types.la

%files libglade
%defattr(644,root,root,755)
%doc libglade.defs examples/test-libglade examples/simple.glade
%doc examples/rep-ui examples/rep-ui.glade
%attr(755,root,root) %{repexecdir}/gui/gtk-*/libglade.so
%{repexecdir}/gui/gtk-*/libglade.la

%files gnome
%defattr(644,root,root,755)
%doc examples/gnome-test examples/canvas-test
%attr(755,root,root) %{repexecdir}/gui/gtk-*/gnome*.so
%{repexecdir}/gui/gtk-*/gnome*.la

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rep-gtk.spec,v $
Revision 1.60  2004/03/14 21:45:05  qboosh
- cosmetics, simplified Source0 URL, s/--without-static/--disable-static/
- release 3

Revision 1.59  2004/03/14 18:22:38  qboosh
- workaround for non-existing rep-config (needed on src-builder)

Revision 1.58  2004/03/14 18:17:01  qboosh
- removed bogus es, strict internal deps, release 2 for Ac

Revision 1.57  2004/02/23 22:09:01  ankry
- pl fixes, cosmetics

Revision 1.56  2003/08/06 22:09:30  grzegol
- updated to 0.18

Revision 1.55  2003/08/01 11:58:49  grzegol
- rel++ to rebuild without linc
- sorting/cosmetics

Revision 1.54  2003/06/28 09:03:23  blues
- cosmetics

Revision 1.53  2003/06/22 20:17:40  jareq
- fixed epoch:version issue

Revision 1.52  2003/06/18 13:56:31  ankry
- md5

Revision 1.51  2003/06/16 18:14:56  blues
- translations from MIZI by kloczek

Revision 1.50  2003/05/25 06:26:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.49  2003/03/26 20:35:30  malekith
- release 2; rebuild against new librep (needed?)

Revision 1.48  2003/02/17 12:37:51  pascalek
- BR: librep-devel

Revision 1.47  2002/11/26 10:57:10  ankry
- 2nd .la file attributes massive attack

Revision 1.46  2002/11/11 20:45:58  aflinta
- updated to version 0.17

Revision 1.45  2002/10/29 18:54:31  aflinta
- rebuild against bonobo-activation 2.1.0, release up

Revision 1.44  2002/10/24 21:05:17  malekith
- fix for new %doc

Revision 1.43  2002/10/24 20:43:52  malekith
- marged DEVEL
- version 0.16, release 1
- new %doc, some macros

Revision 1.40.2.5  2002/06/23 13:29:43  aflinta
- updated to version 0.16

Revision 1.40.2.4  2002/06/12 08:38:51  wiget
updated to 2002-06-11

Revision 1.40.2.3  2002/06/03 15:24:03  wiget
updated to 2002-05-24

Revision 1.40.2.2  2002/05/23 19:50:45  michuz
- updated to gnome2-beta5

Revision 1.40.2.1  2002/04/29 05:26:34  misiek
- 2002-04-19 (gnome2)

Revision 1.40  2002/02/23 04:32:21  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/02/08 22:17:48  filon
- copy new config.sub and .guess fro automake dir (needed for athlon)
- release 8

Revision 1.37  2002/01/18 02:14:48  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/10/22 18:48:56  kloczek
- release 7: merge translations from CNV.

Revision 1.35  2001/10/11 13:59:54  qboosh
- pl translations, BuildRequires: autoconf

Revision 1.34  2001/05/18 06:01:52  kloczek
- not this line moved :>

Revision 1.33  2001/05/18 06:01:09  kloczek
- ops move declaration %%{repexecdir} macro above "Requires: %%{repexecdir}".

Revision 1.32  2001/05/18 05:52:25  kloczek
- reelase 6: move %{repexecdir} macro below preamble - BuildRequires
  rules must be analized on first.

Revision 1.31  2001/05/16 09:18:33  wiget
- define and use %%{repexecdir} macro
- release 5

Revision 1.30  2001/04/13 23:35:18  baggins
- ln -s  -> ln -sf

Revision 1.29  2001/04/13 23:32:04  baggins
- release 4
- libexec -> lib

Revision 1.28  2000/12/19 07:57:31  kloczek
- release 3, Epoch: 1 (for allow upgrade from RH).

Revision 1.27  2000/12/06 16:45:36  kloczek
- updated to 0.15.

Revision 1.26  2000/11/02 13:31:38  wrobell
- added missing but required symlinks

Revision 1.25  2000/11/02 04:33:18  wrobell
- updated file list

Revision 1.24  2000/11/02 01:04:23  wrobell
- updated file list

Revision 1.23  2000/10/31 08:33:45  kloczek
- removed librep-jl from BuildRequires.

Revision 1.22  2000/10/31 06:39:55  kloczek
- release 2: rebuild against gnome-libs linked with db3.

Revision 1.21  2000/10/02 15:07:04  kloczek
- use new rpm automation suit.

Revision 1.20  2000/09/26 04:48:01  kloczek
- updated to 0.14.

Revision 1.19  2000/07/13 02:24:59  kloczek
- updated to 0.13a.

Revision 1.18  2000/07/04 20:55:34  kloczek
- added missing libglade-gnome.* to glade subpackage.

Revision 1.17  2000/07/04 18:06:27  kloczek
- removed commented Patch1.

Revision 1.16  2000/07/04 16:32:45  klakier
- patch #1 rejected

Revision 1.15  2000/07/04 16:30:51  klakier
- ver 0.12

Revision 1.14  2000/06/09 07:55:10  kloczek
- more %%{__make} macros.

Revision 1.13  2000/06/09 07:23:58  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/30 14:02:20  bonkey
- added temporary patch to compile it with libglade 0.13

Revision 1.11  2000/05/23 22:07:14  kloczek
- release 2,
- spec adapterized.

Revision 1.10  2000/05/10 22:20:27  kloczek
- updated to 0.10,
- new Source url and URL,
- added gdkcolor patch (remove some gdk_*() redefinitions),
- removed duplicated Summary in gnome subpackage.

Revision 1.9  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.7  2000/03/06 18:24:43  kloczek
- typo (s/librep-js/librep-jl/).

Revision 1.6  2000/03/06 17:40:43  kloczek
- added librep-js >= 0.11 to BuildRequires.

Revision 1.5  2000/03/06 16:09:21  kloczek
- librep-devel >= 0.11.

Revision 1.4  2000/03/06 16:08:51  kloczek
- updated to 0.9.1,
- added gnome subpackage.

Revision 1.3  2000/01/21 18:11:27  kloczek
- updated to 0.8,
- completly rewrited in PLD style,
- added libglade subpackage.

* Fri Sep 17 1999 John Harper <john@dcs.warwick.ac.uk>
- specify installdir when installing

* Tue Sep 14 1999 Aron Griffis <agriffis@bigfoot.com>
- 0.4 spec file update: added buildroot
